Ticket #80 (closed feature: wontfix)

Opened 13 years ago

Last modified 8 years ago

clock source setting should be easier

Reported by: andrew hately Assigned to:
Priority: trivial Milestone: FFADO 2.x
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description

Setting the clock source should be possible when starting jack.

jack -R -d firewire -p 32 --clock spdif

or whatever.

Change History

03/19/08 05:58:33 changed by ppalmers

  • milestone changed from FFADO 2.0 to FFADO 2.1.

feature for 2.1. not that trivial considering the fact that one can have multiple devices on the bus that all can (should) have a different clock source.

03/23/08 04:15:23 changed by laptop006

Which also means that there needs to be a reliable way to identify multiple instances of the same device (eg, multiple Presonus FirePod?'s) so the master can be identified.

03/27/12 17:53:13 changed by jwoithe

  • milestone changed from FFADO 2.1 to FFADO 2.x.

There are a number of issues at play here as outlined by previous posts. In addition, there are some devices for which the clock setup is more complex than simply choosing the source - a point which doesn't lend itself to a simple command line option. In any case, such an addition would require an extension to the libffado API since there is no provision in the API at present to deal with this sort of thing.

In the meantime, the ffado-mixer application can be used to configure a device's clock, and this can encompass all the subtle details associated with the more advanced devices. If an CLI interface were required, all the required controls are available via dbus so it wouldn't be impossible to write a small application which interfaced only to the clock-related parts of this dbus interface.

Given the complexities involved I shall defer this ticket to post-2.1. However, I'm not convinced we shouldn't just close it as "wontfix" since to my eyes the benefits of adding this are far outweighed by the effort required to do so. I would appreciate feedback about this from others before making a final decision.

05/04/12 05:07:58 changed by jwoithe

  • status changed from new to closed.
  • resolution set to wontfix.

In the absence of further feedback I'm going to close this ticket as wontfix for the following reasons.

  • As mentioned in previous comments, making this work in the generic case is not trivial due to the often advanced clocking options available in various devices.
  • If a CLI interface to the clock options were desired, one could write something which interfaced to ffado-dbus-server in much the same way that ffado-mixer does.
  • ffado-mixer already allows the user to configure device clock settings where this is supported by the device.
  • Generally if one is having to configure clock settings, other settings in the device will also need to be configured. Therefore ffado-mixer will already be running and one can trivially use that to select the clock configuration prior to starting jackd.

This is not to say we wouldn't welcome patches to implement this: patches are always welcome. It's just that the capability described - while undoubtedly useful in some situations - is not as trivial to implement as it might first appear, and isn't so critical that our limited core developer time is available to work on it at this stage.